Issue 127121 - Update broken download URLs of external dependencies
Summary: Update broken download URLs of external dependencies
Status: RESOLVED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: code (show other issues)
Version: 4.1.2
Hardware: All All
: P5 (lowest) Normal (vote)
Target Milestone: ---
Assignee: Ariel Constenla-Haile
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-18 19:23 UTC by Ariel Constenla-Haile
Modified: 2019-05-21 15:23 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
pats: 4.1.3_release_blocker+


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Comment 1 SVN Robot 2016-09-18 23:17:20 UTC
"arielch" committed SVN revision 1761371 into branches/AOO413:
i127121 - Update broken download URLs of external dependencies
Comment 2 SVN Robot 2016-09-18 23:21:28 UTC
"arielch" committed SVN revision 1761373 into branches/AOO413:
i127121 - Update broken download URLs of external dependencies
Comment 3 Ariel Constenla-Haile 2016-09-19 00:08:18 UTC
(In reply to SVN Robot from comment #2)
> "arielch" committed SVN revision 1761373 into branches/AOO413:
> i127121 - Update broken download URLs of external dependencies

This one is broken on trunk too:
http://hci.iwr.uni-heidelberg.de/vigra-old-versions/vigra1.6.0.tar.gz

vigra has moved to github, it provides downloads from tags, but the hashes do not match, see 
https://ukoethe.github.io/vigra/
https://github.com/ukoethe/vigra/releases/tag/Version-1-6-0
Comment 4 Ariel Constenla-Haile 2016-09-19 00:14:32 UTC
The oooextras mirror at sourceforge is missing three packages:

2e482c7567908d334785ce7d69ddfff7-commons-codec-1.6-src.tar.gz
625ff5f2f968dd908bca43c9469d6e6b-commons-lang-2.4-src.tar.gz
e4244e69eb3644e71c254aea5952a918-apache-rat-incubating-0.8-bin.tar.bz2

should these be uploaded to the oooextras mirror at sourceforge?

Now they are only fetched from http://archive.apache.org/
Comment 5 Ariel Constenla-Haile 2016-09-19 00:17:05 UTC
Upstream Zlib keeps only copies of tar.gz, AOO expects a tar.bz2
See http://zlib.net/fossils/
Comment 6 SVN Robot 2016-09-19 01:33:59 UTC
"arielch" committed SVN revision 1761381 into branches/AOO413:
i127121 - Update broken download URLs of external dependencies
Comment 7 Ariel Constenla-Haile 2016-10-05 22:47:20 UTC
Fixed